About zimbra-ldap-patch

Ask questions about your setup or get help installing ZCS server (ZD section below).
edisu
Advanced member
Advanced member
Posts: 71
Joined: Fri May 01, 2020 3:25 am

About zimbra-ldap-patch

Postby edisu » Sun Jul 24, 2022 1:23 pm

Hi All,

Im runing zimbra 8.8.15 NE multi server environment currently im on zimbra patch 10 im planning to upgrade to zimbra patch 32. I'm using AD for the internal DNS of my zimbra. I read about the release notes and im wondering do i need to install zimbra-ldap-patch on my system? I search all installed on server and that zimbra-ldap-patch does not yet exist on my server. My question is do i need to install that? Thanks


ghen
Advanced member
Advanced member
Posts: 82
Joined: Thu May 12, 2016 1:56 pm
Location: Belgium
ZCS/ZD Version: 8.8.15

Re: About zimbra-ldap-patch

Postby ghen » Sun Jul 24, 2022 2:00 pm

zimbra-ldap-patch is for LDAP-only servers in a multi-server install (for log4j v2 compatibility in Patch 32). It's indeed not an "update", you need to install this new package explicitly a first time.
If you host your Zimbra LDAP together with proxy or mailboxd components, the log4j stuff is alreay covered. But future zimbra-ldap-patch releases may contain LDAP-specific fixes, so better install it anyway.

If you're using Zimbra with AD instead of Zimbra's own OpenLDAP server, this zimbra-ldap-patch package is not relevant for you.
edisu
Advanced member
Advanced member
Posts: 71
Joined: Fri May 01, 2020 3:25 am

Re: About zimbra-ldap-patch

Postby edisu » Sun Jul 24, 2022 3:27 pm

ghen wrote:zimbra-ldap-patch is for LDAP-only servers in a multi-server install (for log4j v2 compatibility in Patch 32). It's indeed not an "update", you need to install this new package explicitly a first time.
If you host your Zimbra LDAP together with proxy or mailboxd components, the log4j stuff is alreay covered. But future zimbra-ldap-patch releases may contain LDAP-specific fixes, so better install it anyway.

If you're using Zimbra with AD instead of Zimbra's own OpenLDAP server, this zimbra-ldap-patch package is not relevant for you.


Is it safe to install zimbra-ldap-patch? I'm afraid, it might conflict with AD. Also do you know what are the common config files that need to be backup first before applying zimbra patch cause i know it might overwrite something on my config files when i apply latest zimbra patch. Thanks for quick reply.
ghen
Advanced member
Advanced member
Posts: 82
Joined: Thu May 12, 2016 1:56 pm
Location: Belgium
ZCS/ZD Version: 8.8.15

Re: About zimbra-ldap-patch

Postby ghen » Mon Jul 25, 2022 7:58 am

Do you have any server(s) with "zimbra-ldap" installed ? Then install zimbra-ldap-patch on them. Otherwise, don't.

Zimbra-ldap-patch updates generic zimbra java stuff, like zmconfigd, log4j.properties, zmlocalconfig, ... for log4j v2.
On servers with (also) mailboxd and/or proxies installed, you'll already have those updates through their respective zimbra-*-patch packages. On LDAP-only servers, there was no zimbra-ldap-patch package so far, hence it was created for P32.

Installing it won't interact with your AD setup in any way.
Inglebard
Posts: 25
Joined: Fri Jul 20, 2018 9:18 am

Re: About zimbra-ldap-patch

Postby Inglebard » Fri Aug 05, 2022 3:28 pm

ghen wrote:Do you have any server(s) with "zimbra-ldap" installed ? Then install zimbra-ldap-patch on them. Otherwise, don't.

Zimbra-ldap-patch updates generic zimbra java stuff, like zmconfigd, log4j.properties, zmlocalconfig, ... for log4j v2.
On servers with (also) mailboxd and/or proxies installed, you'll already have those updates through their respective zimbra-*-patch packages. On LDAP-only servers, there was no zimbra-ldap-patch package so far, hence it was created for P32.

Installing it won't interact with your AD setup in any way.



What about Single-Server Installation ?
Do i need to install zimbra-ldap-patch ?
ghen
Advanced member
Advanced member
Posts: 82
Joined: Thu May 12, 2016 1:56 pm
Location: Belgium
ZCS/ZD Version: 8.8.15

Re: About zimbra-ldap-patch

Postby ghen » Fri Aug 05, 2022 5:09 pm

Quoting myself:
ghen wrote:Do you have any server(s) with "zimbra-ldap" installed ? Then install zimbra-ldap-patch on them. Otherwise, don't.

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 11 guests